Error: No module named 'py' in

File “C:/Shalini/Projects/NPX/Code/NPX_2122019/Format1/format1_parser/pipeline.py”, line 7, in
from Format1.format1_parser.format_1_parser import Parser
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\Format1\format1_parser\format_1_parser.py”, line 2, in
import modin.pandas as pd
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\pandas_init_.py”, line 79, in
from .concat import concat
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\pandas\concat.py”, line 2, in
from .dataframe import DataFrame
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\pandas\dataframe.py”, line 21, in
from .utils import from_pandas, from_non_pandas, to_pandas, inherit_docstrings
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\pandas\utils.py”, line 1, in
from …data_management.factories import BaseFactory
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\data_management\factories.py”, line 203, in
class PandasOnRayFactory(BaseFactory):
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\data_management\factories.py”, line 205, in PandasOnRayFactory
from modin.engines.ray.pandas_on_ray.io import PandasOnRayIO
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\engines\ray\pandas_on_ray\io.py”, line 4, in
from modin.engines.ray.generic.io import RayIO
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\engines\ray\generic\io.py”, line 10, in
from modin.engines.base.io import BaseIO
File "C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\engines\base\io_init
.py", line 2, in
from modin.engines.base.io.text.csv_reader import CSVReader
File “C:\Shalini\Projects\NPX\Code\NPX_2122019\venv\lib\site-packages\modin\engines\base\io\text\csv_reader.py”, line 5, in
import py
ModuleNotFoundError: No module named ‘py’

You will need to pip install py if it is not already installed.

I will update the requirements to include this for the next release. It should already be there.

I have opened an issue to track this: https://github.com/modin-project/modin/issues/904